package com.ssm.manage.mapper;

import com.ssm.core.mapper.BaseMapper;
import com.ssm.manage.entity.CourseAccount;
import com.ssm.manage.query.CourseAccountRequest;
import com.ssm.manage.response.CourseAccountResponse;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Component
public interface CourseAccountMapper extends BaseMapper<CourseAccount> {
    int insertBatch(@RequestParam("list") List<CourseAccount> list);
    List<CourseAccountResponse> memberCourse(CourseAccountRequest courseAccountRequest);
    List<CourseAccount> selectRefundList(CourseAccountRequest courseAccountRequest);

    List<CourseAccount> selectMessage(CourseAccountRequest courseAccountRequest);

    List<CourseAccount> selectByExport(CourseAccountRequest courseAccountRequest);
}